@use "../../../styles/defaults";

.footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-top: 0.1rem solid #eee;
  padding: 1.4rem defaults.$spacing;
  position: relative;
  .overlay {
    position: absolute;
    height: 0.15rem;
    left: 0;
  }
  .line-highlight {
    top: -0.2rem;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.6s;
    width: 100%;
    background-color: #333;
  }
  .marker {
    top: 0;
    width: 0.8rem;
    height: 0.8rem;
    border-radius: 50%;
    background-color: #333;
    cursor: pointer;
    transform: translateY(-50%) rotate(90deg);
    transition: transform 0.3s;
    &:hover,
    &:active {
      transform: translateY(-70%) scale(2);
    }
  }
  .left {
    .title {
      font-size: 1.4rem;
      font-weight: 700;
      margin-bottom: 0.6rem;
    }
    .artist {
      font-size: 1rem;
      color: #666;
    }
  }
  .right {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 3.2rem;
    .btn {
      background-color: transparent;
      border: none;
      svg {
        width: 2.6rem;
        height: 2.4rem;
        cursor: pointer;
        fill: #d8d8d8;
        stroke: #000;
      }
    }
    .pause-icon {
      width: 3.2rem;
    }
  }
}

@media screen and (max-width: 500px) {
  .footer {
    .left {
      .title {
        font-size: 1.1rem;
        line-height: 1.6;
      }
      .artist {
        font-size: 0.9rem;
      }
    }
    .right {
      align-items: center;
      gap: 1.6rem;
    }
  }
}
